> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Report

> Builds a flattened staking report: requests with grant, recipient, configuration, last unlock date and current unstaking request.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-staking-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-staking-report:
    post:
      operationId: getStakingReport
      summary: Get Staking Report
      description: >-
        Builds a flattened staking report: requests with grant, recipient,
        configuration, last unlock date and current unstaking request.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetStakingReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStakingReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStakingReportRequest:
      type: object
      properties:
        orgID:
          type: string
          format: uuid
        statusFilters:
          type: array
          items:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          maxItems: 20
    GetStakingReportResponse:
      type: array
      items:
        type: object
        properties:
          stakingRequestID:
            type: string
          stakingConfigurationID:
            type: string
          roleInOrgID:
            type: string
          stakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingBalance:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingStartDate:
            type: string
          stakingStatus:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          createdAt:
            type: string
          grantID:
            type: string
          updatedAt:
            type: string
          stakingDistributionID:
            type:
              - string
              - 'null'
          grant:
            type: object
            properties:
              grantName:
                type: string
              grantID:
                type: string
              grantAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              vestingStartDate:
                type: string
              vestingPeriods:
                type:
                  - string
                  - 'null'
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              lockups:
                type: array
                items:
                  type: object
                  additionalProperties: {}
            required:
              - grantName
              - grantID
              - grantAmount
              - vestingStartDate
              - vestingPeriods
              - lockups
          stakingConfiguration:
            type: object
            properties:
              stakingConfigurationID:
                type: string
              cooldownPeriod:
                type: integer
              versionNumber:
                type: integer
              maxStakePercentage:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              stakingTypesEnabled:
                type: array
                items:
                  type: string
                  enum:
                    - UNVESTED_LOCKED_TOKENS
                    - UNVESTED_UNLOCKED_TOKENS
                    - VESTED_LOCKED_TOKENS
            required:
              - stakingConfigurationID
              - cooldownPeriod
              - versionNumber
              - maxStakePercentage
              - stakingTypesEnabled
          unstakingRequests:
            type: array
            items:
              type: object
              properties:
                unstakingRequestID:
                  type: string
                stakingRequestID:
                  type: string
                unstakingAmount:
                  type: string
                  pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                unstakingDate:
                  type: string
                createdAt:
                  type: string
                updatedAt:
                  type: string
                status:
                  type: string
                  enum:
                    - DRAFT
                    - PENDING
                    - APPROVED
                    - REJECTED
                    - CANCELLED
                    - IN_STAKING
                    - UNSTAKE_REQUEST_PLACED
                    - STAKING_PERIOD_COMPLETED
                    - COMPLETED
                roleInOrgID:
                  type: string
              required:
                - unstakingRequestID
                - stakingRequestID
                - unstakingAmount
                - unstakingDate
                - createdAt
                - updatedAt
                - status
                - roleInOrgID
          roleInOrg:
            type: object
            properties:
              roleInOrgID:
                type: string
              roleInOrgExternalID:
                type: integer
              person:
                type: object
                properties:
                  fullName:
                    type: string
                required:
                  - fullName
              externalEmployeeID:
                type:
                  - string
                  - 'null'
              employmentType:
                type:
                  - string
                  - 'null'
              country:
                type:
                  - string
                  - 'null'
            required:
              - roleInOrgID
              - roleInOrgExternalID
              - person
              - externalEmployeeID
              - employmentType
              - country
          grantName:
            type: string
          grantAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          fullName:
            type: string
          roleInOrgExternalID:
            type: integer
          employmentType:
            type:
              - string
              - 'null'
          externalEmployeeID:
            type:
              - string
              - 'null'
          country:
            type:
              - string
              - 'null'
          lastUnlockDate:
            type:
              - string
              - 'null'
          currentUnstakingRequest:
            type: object
            properties:
              unstakingRequestID:
                type: string
              stakingRequestID:
                type: string
              unstakingAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              unstakingDate:
                type: string
              createdAt:
                type: string
              updatedAt:
                type: string
              status:
                type: string
                enum:
                  - DRAFT
                  - PENDING
                  - APPROVED
                  - REJECTED
                  - CANCELLED
                  - IN_STAKING
                  - UNSTAKE_REQUEST_PLACED
                  - STAKING_PERIOD_COMPLETED
                  - COMPLETED
              roleInOrgID:
                type: string
            required:
              - unstakingRequestID
              - stakingRequestID
              - unstakingAmount
              - unstakingDate
              - createdAt
              - updatedAt
              - status
              - roleInOrgID
          maxStakePercentage:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          stakingTypesEnabled:
            type: array
            items:
              type: string
              enum:
                - UNVESTED_LOCKED_TOKENS
                - UNVESTED_UNLOCKED_TOKENS
                - VESTED_LOCKED_TOKENS
          cooldownPeriod:
            type: integer
          versionNumber:
            type: integer
          requestType:
            const: Staking
          startDate:
            type: string
          amount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
        required:
          - stakingRequestID
          - stakingConfigurationID
          - roleInOrgID
          - stakingAmount
          - stakingBalance
          - stakingStartDate
          - stakingStatus
          - createdAt
          - grantID
          - updatedAt
          - stakingDistributionID
          - grant
          - stakingConfiguration
          - unstakingRequests
          - roleInOrg
          - grantName
          - grantAmount
          - fullName
          - roleInOrgExternalID
          - employmentType
          - externalEmployeeID
          - country
          - lastUnlockDate
          - maxStakePercentage
          - stakingTypesEnabled
          - cooldownPeriod
          - versionNumber
          - requestType
          - startDate
          - amount
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
